Bug 824782 - virt-resize cannot resize PowerPC guests
virt-resize cannot resize PowerPC guests
Status: NEW
Product: Virtualization Tools
Classification: Community
Component: libguestfs (Show other bugs)
unspecified
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Richard W.M. Jones
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-05-24 05:08 EDT by Richard W.M. Jones
Modified: 2017-03-08 07:58 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Richard W.M. Jones 2012-05-24 05:08:04 EDT
Description of problem:

virt-resize: error: [device]: unknown partition table type

Version-Release number of selected component (if applicable):

1.18.0

How reproducible:

100%

Steps to Reproduce:
1. Install a ppc guest.
2. Try to use virt-resize to resize it.
3.

Additional info:

The partition table type is "mac".

$ virt-resize /dev/vg_pin/Ubuntu1204PPC.old /dev/vg_pin/Ubuntu1204PPC --resize /dev/sda2=512M --expand /dev/sda3 -d
command line: virt-resize /dev/vg_pin/Ubuntu1204PPC.old /dev/vg_pin/Ubuntu1204PPC --resize /dev/sda2=512M --expand /dev/sda3 -d
Examining /dev/vg_pin/Ubuntu1204PPC.old ...
libguestfs: trace: add_drive_opts "/dev/vg_pin/Ubuntu1204PPC.old" "readonly:true"
libguestfs: trace: add_drive_opts = 0
libguestfs: trace: add_drive_opts "/dev/vg_pin/Ubuntu1204PPC" "readonly:false"
libguestfs: trace: add_drive_opts = 0
libguestfs: trace: launch
libguestfs: trace: launch = 0
libguestfs: trace: lvm_set_filter "/dev/sda"
libguestfs: trace: lvm_set_filter = 0
libguestfs: trace: available "ntfsprogs ntfs3g"
libguestfs: trace: available = 0
libguestfs: trace: available "btrfs"
libguestfs: trace: available = 0
libguestfs: trace: blockdev_getss "/dev/sdb"
libguestfs: trace: blockdev_getss = 512
libguestfs: trace: blockdev_getsize64 "/dev/sda"
libguestfs: trace: blockdev_getsize64 = 10737418240
libguestfs: trace: blockdev_getsize64 "/dev/sdb"
libguestfs: trace: blockdev_getsize64 = 11811160064
libguestfs: trace: part_get_parttype "/dev/sda"
libguestfs: trace: part_get_parttype = "mac"
/dev/vg_pin/Ubuntu1204PPC.old size 10737418240 bytes
/dev/vg_pin/Ubuntu1204PPC size 11811160064 bytes
partition table type: mac
virt-resize: error: /dev/vg_pin/Ubuntu1204PPC.old: unknown partition 
table type
virt-resize only supports MBR (DOS) and GPT partition 
tables.

If reporting bugs, run virt-resize with the '-d' option and include the 
complete output.
libguestfs: trace: close
libguestfs: trace: internal_autosync
libguestfs: trace: internal_autosync = 0
libguestfs: trace: kill_subprocess
libguestfs: trace: kill_subprocess = 0
Comment 1 Maros Zatko 2015-04-14 05:37:25 EDT
I've tried it with PPC64 Fedora 21, it worked probably because installer created dos partition table. So I tried it with Ubuntu 14.10 PPC64 and that worked too - installer created gpt partitions.

Note You need to log in before you can comment on or make changes to this bug.